Balance Sheet
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"endDate": "2023-12-31",
"beginDate": "2023-01-01",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet"
payload = "{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "endDate": "2023-12-31",\n "beginDate": "2023-01-01",\n "emails": [\n "<string>"\n ],\n "ccEmails": [\n "<string>"\n ],\n "bccEmails": [\n "<string>"\n ],\n "date": "2023-01-01"\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet"
payload := strings.NewReader("{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"meta": {
"title": "<string>",
"businesses": [
"<string>"
],
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "<string>",
"footerLine": "<string>",
"params": {
"endDate": "2023-12-31",
"exportType": "HTML",
"grouping": "DAILY",
"beginDate": "2023-01-01",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}
},
"html": "<string>",
"json": {
"data": [
{
"assets": {
"name": "<string>",
"accountId": 123,
"accountNo": "<string>",
"total": 123,
"children": [
{}
]
},
"liabilitiesAndEquity": {
"name": "<string>",
"total": 123,
"liabilities": {
"name": "<string>",
"accountId": 123,
"accountNo": "<string>",
"total": 123,
"children": [
{}
]
},
"equity": {
"name": "<string>",
"accountId": 123,
"accountNo": "<string>",
"total": 123,
"children": [
{}
]
}
}
}
]
},
"url": "<string>"
}Reports
Balance Sheet
Generate a Balance Sheet, using the specific parameters
POST
/
v5
/
reports
/
balanceSheet
Balance Sheet
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"endDate": "2023-12-31",
"beginDate": "2023-01-01",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}'import requests
url = "https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet"
payload = "{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "endDate": "2023-12-31",\n "beginDate": "2023-01-01",\n "emails": [\n "<string>"\n ],\n "ccEmails": [\n "<string>"\n ],\n "bccEmails": [\n "<string>"\n ],\n "date": "2023-01-01"\n}'
};
fetch('https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet"
payload := strings.NewReader("{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "*/*")
.body("{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.hurdlr.com/rest/v5/reports/balanceSheet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = '*/*'
request.body = "{\n \"endDate\": \"2023-12-31\",\n \"beginDate\": \"2023-01-01\",\n \"emails\": [\n \"<string>\"\n ],\n \"ccEmails\": [\n \"<string>\"\n ],\n \"bccEmails\": [\n \"<string>\"\n ],\n \"date\": \"2023-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"meta": {
"title": "<string>",
"businesses": [
"<string>"
],
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "<string>",
"footerLine": "<string>",
"params": {
"endDate": "2023-12-31",
"exportType": "HTML",
"grouping": "DAILY",
"beginDate": "2023-01-01",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}
},
"html": "<string>",
"json": {
"data": [
{
"assets": {
"name": "<string>",
"accountId": 123,
"accountNo": "<string>",
"total": 123,
"children": [
{}
]
},
"liabilitiesAndEquity": {
"name": "<string>",
"total": 123,
"liabilities": {
"name": "<string>",
"accountId": 123,
"accountNo": "<string>",
"total": 123,
"children": [
{}
]
},
"equity": {
"name": "<string>",
"accountId": 123,
"accountNo": "<string>",
"total": 123,
"children": [
{}
]
}
}
}
]
},
"url": "<string>"
}Authorizations
Body
*/*
Response
200 - application/json
Successful operation